#!/bin/sh

if [ $# != 1 ]; then
	echo "Usage: $0 http://downloads.netgear.com/files/wg602v4_NTGR_1_0.trx"
	exit
fi

OFFSET=30
TIMEOUT_SECONDS=180
IMAGE=/tmp/image
FILE_STATUS=/tmp/stbadmin_upgrade_status
NEW_FIRMWARE_VERSION=/tmp/fw_info
CONSOLE=/dev/console

/bin/rm -f $IMAGE
/bin/rm -f $FILE_STATUS
/bin/rm -f $NEW_FIRMWARE_VERSION

wget -q -t $TIMEOUT_SECONDS -O $IMAGE $1 > $CONSOLE 2>&1
down_code=$?
if [ $down_code -eq 0 ]; then
	echo "download: success" > $FILE_STATUS
	echo "download: success" > $CONSOLE
else
	echo "download: fail" > $FILE_STATUS
	echo "download: fail" > $CONSOLE
	exit
fi

/bin/ls -la $IMAGE

/bin/dd of=$NEW_FIRMWARE_VERSION if=$IMAGE bs=$OFFSET count=1
/bin/cat $NEW_FIRMWARE_VERSION > $CONSOLE
echo " " > $CONSOLE

/sbin/mtd write $IMAGE linux $OFFSET > $CONSOLE 2>&1
ret_va=$?
if [ $ret_va -eq 0 ]; then
	echo "upgrade: success" > $FILE_STATUS
	echo "upgrade: success" > $CONSOLE
else
	echo "upgrade: fail" > $FILE_STATUS
	echo "upgrade: fail" > $CONSOLE
fi

/bin/rm -f $IMAGE



